package eu.openaire.urls_controller.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.Date;
import java.util.List;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "assignmentId",
        "tasks",
        "workerId",
        "date"
})
public class Assignment {

    @JsonProperty("assignmentId")
    private int assignmentId;

    @JsonProperty("tasks")
    private List<Task> tasks;

    @JsonProperty("workerId")
    private String workerId;

    @JsonProperty("date")
    private Date date;

    public Assignment(int assignmentId, List<Task> tasks, String workerId, Date date) {
        this.assignmentId = assignmentId;
        this.tasks = tasks;
        this.workerId = workerId;
        this.date = date;
    }

    public int getAssignmentId() {
        return assignmentId;
    }

    public void setAssignmentId(int assignmentId) {
        this.assignmentId = assignmentId;
    }

    public List<Task> getTasks() {
        return tasks;
    }

    public void setTasks(List<Task> tasks) {
        this.tasks = tasks;
    }

    public String getWorkerId() {
        return workerId;
    }

    public void setWorkerId(String workerId) {
        this.workerId = workerId;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "Assignment{" +
                "assignmentId=" + assignmentId +
                ", tasks=" + tasks +
                ", workerId='" + workerId + '\'' +
                ", date=" + date +
                '}';
    }
}
