package eu.openaire.urls_controller.models;


import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.List;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "id",
        "dedupid",
        "pids",
        "urls",
        "datasource",
        "termsOfReuse"
})
public class Publication {

    @JsonProperty("id")
    private String id;

    @JsonProperty("dedupid")
    private String dedupid;

    @JsonProperty("pids")
    private List<String> pids;

    @JsonProperty("urls")
    private List<String> urls;

    @JsonProperty("datasource")
    private Datasource datasource;

    @JsonProperty("termsOfReuse")
    private String termsOfReuse;  // Takes values from the TermsOfReuseEnum.

    public Publication(String id, String dedupid, List<String> pids, List<String> urls, Datasource datasource, String termsOfReuse) {
        this.id = id;
        this.dedupid = dedupid;
        this.pids = pids;
        this.urls = urls;
        this.datasource = datasource;
        this.termsOfReuse = termsOfReuse;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDedupid() {
        return dedupid;
    }

    public void setDedupid(String dedupid) {
        this.dedupid = dedupid;
    }

    public List<String> getPids() {
        return pids;
    }

    public void setPids(List<String> pids) {
        this.pids = pids;
    }

    public List<String> getUrls() {
        return urls;
    }

    public void setUrls(List<String> urls) {
        this.urls = urls;
    }

    public Datasource getDatasource() {
        return datasource;
    }

    public void setDatasource(Datasource datasource) {
        this.datasource = datasource;
    }

    public String getTermsOfReuse() {
        return termsOfReuse;
    }

    public void setTermsOfReuse(String termsOfReuse) {
        this.termsOfReuse = termsOfReuse;
    }

    public enum TermsOfReuseEnum {
        Full, Mining, Internal
    }

}

