package eu.openaire.urls_controller.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "id",
        "original_url",
        "actual_url",
        "date_acquired",
        "mime_type",
        "size",
        "more_info",
        "hash",
        "location",
        "provenance"
})
public class Payload {

    @JsonProperty("id")
    private String id;

    @JsonProperty("original_url")
    private String original_url;

    @JsonProperty("actual_url")
    private String actual_url;  // The url of the full-text itself.

    @JsonProperty("date_acquired")
    private String date_acquired;

    @JsonProperty("mime_type")
    private String mime_type;

    @JsonProperty("size")
    private String size;

    @JsonProperty("more_info")
    private  String more_info;

    @JsonProperty("hash")
    private String hash;

    @JsonProperty("location")
    private String location;

    @JsonProperty("provenance")
    private String provenance;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOriginal_url() {
        return original_url;
    }

    public void setOriginal_url(String original_url) {
        this.original_url = original_url;
    }

    public String getActual_url() {
        return actual_url;
    }

    public void setActual_url(String actual_url) {
        this.actual_url = actual_url;
    }

    public String getDate_acquired() {
        return date_acquired;
    }

    public void setDate_acquired(String date_acquired) {
        this.date_acquired = date_acquired;
    }

    public String getMime_type() {
        return mime_type;
    }

    public void setMime_type(String mime_type) {
        this.mime_type = mime_type;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getMore_info() {
        return more_info;
    }

    public void setMore_info(String more_info) {
        this.more_info = more_info;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getProvenance() {
        return provenance;
    }

    public void setProvenance(String provenance) {
        this.provenance = provenance;
    }

    @Override
    public String toString() {
        return "Payload{" +
                "id='" + id + '\'' +
                ", original_url='" + original_url + '\'' +
                ", actual_url='" + actual_url + '\'' +
                ", date_acquired='" + date_acquired + '\'' +
                ", mime_type='" + mime_type + '\'' +
                ", size='" + size + '\'' +
                ", more_info='" + more_info + '\'' +
                ", hash='" + hash + '\'' +
                ", location='" + location + '\'' +
                ", provenance='" + provenance + '\'' +
                '}';
    }
}
